/* AP 3-sep-12	getline.c		*/
/*		Zeile lesen		*/

# include <stdio.h>
# include <stdlib.h>

void getline( char * s, int lim ) {
	int i;
	int c; /* wegen EOF */

	for (i=0; i < lim-1 && (c=getchar()) != '\n' && c != EOF; i++) 
		s[i] = c;
	s[i] = 0;		/* i <= lim bei Schleifenabbruch */
}

void getline2( char * s, int lim );

int main() {
	char line[20];
	
	printf("Text bitte:\n");
	getline( line, sizeof(line) );
	printf("Habe gelesen: \n%s\n", line );

	printf("Mehr Text bitte:\n");
	getline2( line, sizeof(line) );
	printf("Habe gelesen: \n%s\n", line );
	exit(0);
}
		
void getline2( char * s, int lim ) {
	/* for (i = 0; i < lim-1 && (c=getchar()) != '\n' && c != EOF; ++i)
		s[i] = c;
	*/

	int i = 0;
	/* int c; statt char c; - wegen EOF 		*/
	int c; 			

	/* Schleife ohne logische Operatoren && und || 	*/
	while (i < (lim - 1)) {
		c = getchar();
		if (c == EOF) break;
		else if (c == '\n') break;
		s[i++] = c;
	}
	s[i] = '\0';
}
