/* AP 3-sep-12 	squeeze.c				*/
/*		alle Zeichen in s2 aus s1 löschen	*/

# include <stdio.h>
# include <stdlib.h>

void squeeze(char s1[], char s2[]) {
  	int i, j;

  	for(i = j = 0; s1[i] != '\0'; i++) {
    		int is_in_s2 = 0;
		int k;
    		for(k = 0; s2[k] != '\0' && !is_in_s2; k++) 
      			if(s2[k] == s1[i])  
				is_in_s2 = 1; 
    
    		if(!is_in_s2) 
			s1[j++] = s1[i];
  	}
  	s1[j] = '\0';
}

int main(int argc, char * argv[]) {
	char * prog = argv[0];
	char * text_string, * delete_string;

	if (argc < 3) {
		printf("usage: %s <text_string> <delete_string>\n", prog);
		exit(1);
	}
	text_string = argv[1];
	delete_string = argv[2];

	squeeze( text_string, delete_string );

	printf("Resultat: %s\n", text_string);
	exit(0);
}
