/* AP 3-sep-12	invert_bits.c					*/
/*		Invertieren von n bits ab Position p	*/

# include <stdio.h>

unsigned int invert(unsigned int x, int p, int n) {
	int nbits = ~(~0U << n);
	int mask = nbits << p;
    	return x ^ mask;
}

int main(int argc, char * argv[]) {
       	char * prog = argv[0];
  	unsigned int x;
  	int p, n;

        if (argc < 4) {
                printf("usage: %s <val> <bit position> <num bits>\n", prog);
                return 1;
        }
	x = atoi( argv[1] );
	p = atoi( argv[2] );
	n = atoi( argv[3] );
	
        printf("%u, %d, %d: 0x%x\n", x, p, n, invert(x, p, n));

	return 0;
}

